pcl::GFPFHSignature16 Struct Reference
Module common

A point structure representing the GFPFH descriptor with 16 bins. More...

`#include <pcl/impl/point_types.hpp>`

## Static Public Member Functions

static int | descriptorSize ()

## Public Attributes

float | histogram [16]

## Friends

std::ostream & | operator<< (std::ostream &os, const GFPFHSignature16 &p)

## Detailed Description

A point structure representing the GFPFH descriptor with 16 bins.

Definition at line 1415 of file point_types.hpp.

## Member Function Documentation

## descriptorSize()

static int pcl::GFPFHSignature16::descriptorSize | ( |  | ) |

inline static

Definition at line 1418 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const GFPFHSignature16 & | p
| ) |  |

friend

## Member Data Documentation

## histogram

float pcl::GFPFHSignature16::histogram[16]

Definition at line 1417 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp